commit: c261c1afabbfb8727cfdb4a71880d766365db5d3
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 15 21:45:51 2017 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Jul 15 21:45:51 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c261c1af
dev-python/mpi4py: add missing dies.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
dev-python/mpi4py/mpi4py-2.0.0.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/dev-python/mpi4py/mpi4py-2.0.0.ebuild
b/dev-python/mpi4py/mpi4py-2.0.0.ebuild
index 730cbd92b6e..1ccb4b31011 100644
--- a/dev-python/mpi4py/mpi4py-2.0.0.ebuild
+++ b/dev-python/mpi4py/mpi4py-2.0.0.ebuild
@@ -24,7 +24,7 @@ DISTUTILS_IN_SOURCE_BUILD=1
python_prepare_all() {
# not needed on install
- rm -r docs/source || die
+ rm -vr docs/source || die
distutils-r1_python_prepare_all
}
@@ -35,9 +35,9 @@ src_compile() {
python_test() {
echo "Beginning test phase"
- pushd "${BUILD_DIR}"/../ &> /dev/null
+ pushd "${BUILD_DIR}"/../ &> /dev/null || die
mpiexec -n 2 "${PYTHON}" ./test/runtests.py -v || die "Testsuite failed
under ${EPYTHON}"
- popd &> /dev/null
+ popd &> /dev/null || die
}
python_install_all() {